package com.jxml.quick.examples.convert;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;

public class XY2RootA extends QConverterSupport
{
	public ArrayList xys=new ArrayList(); // list of "x" and "y" child elements

	/**
	 * Process the root element.
	 */
	public void evalRoot()
		throws SAXException
	{
		startElement("A");
		int s=xys.size();
		int i;
		for (i=0;i<s;i+=2)
		{
			Integer xc=(Integer)xys.get(i);
			Y2A yc=(Y2A)xys.get(i+1);
			yc.cvt(destination,xc);
		}
		endElement("A");
	}
}
